#1
  1. No Profile Picture
    Junior Member
    Devshed Newbie (0 - 499 posts)

    Join Date
    Apr 2002
    Location
    hfgh
    Posts
    2
    Rep Power
    0

    php5 and php4 module into apache 1.3x


    Hello.
    Is it possible to load both, php4 and php5 module into apache 1.3x.
    I tried this:
    LoadModule php4_module /usr/lib/apache/modules/libphp4.so
    LoadModule php5_module /usr/lib/apache/modules/libphp5.so
    AddType application/x-httpd-php .php
    AddType application/x-httpd-php5 .php5

    but only the .php work, not php5.

    Some idea?

    Greetings,
    Marc
  2. #2
  3. No Profile Picture
    Junior Member
    Devshed Newbie (0 - 499 posts)

    Join Date
    Mar 2003
    Posts
    24
    Rep Power
    0
    I don't know if that's possible but, what I know that can be done, is to install Apache v1.xx/PHP v4.** and Apache v2.xx/PHP v5.xx

    I did it.

    Just configure apache to run in different port each version works like a charm
  4. #3
  5. No Profile Picture
    Junior Member
    Devshed Newbie (0 - 499 posts)

    Join Date
    Nov 2003
    Posts
    1
    Rep Power
    0
    Yes it's possible, but you have set the document type to be x-httpd-php and not x-httpd-php5. Change that and it should work fine.
  6. #4
  7. No Profile Picture
    Registered User
    Devshed Newbie (0 - 499 posts)

    Join Date
    Mar 2004
    Posts
    4
    Rep Power
    0
    that's strange- it doesn't work for me.
    i've added these line to my httpd.conf file:

    LoadModule php4_module /usr/lib/apache/modules/libphp4.so

    LoadModule php5_module /usr/lib/apache/modules/libphp5.so
    AddType application/x-httpd-php .php
    AddType application/x-httpd-php .php5

    after these changes apache even does not start, ant threre are no error report in error.log file.

    If i comment any of the modules, everything woks fine - php4 and php5 works only seprately from each other.
    any ideas?

IMN logo majestic logo threadwatch logo seochat tools logo